/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.util.btree;

import java.util.HashMap;
import java.util.Map;

public enum IndexTypeEnum {
    STRING ((byte)0),
    LONG ((byte)1);
    
    private static final Map<Byte, IndexTypeEnum> byteToType = new HashMap<Byte, IndexTypeEnum>();
    static {
        for (IndexTypeEnum type : IndexTypeEnum.values()) {
        	byteToType.put(type.getIndex(), type);
        }
    }

    public static IndexTypeEnum getType(int i) {
    	return byteToType.get(Byte.valueOf((byte)i));
    }     

    private final byte index;   

    IndexTypeEnum(byte index) {
        this.index = index;
    }

    public byte getIndex() { 
        return index; 
    }   
}